Skip to content

Lock Amount​

POST
/v1/staking/stake

Lock the specified currency to start earning yield. Subsequent calls to this endpoint for the same currency will increase the total locked amount by the provided value.

Use earnType in the request body to specify staking (STAKE) or DeFi lending (LEND).

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body​

application/json
JSON
{
"currencySymbol": "SOL",
"amount": "0.0001",
"earnType": "STAKE"
}

Responses​

Amount locked successfully

Playground​

Authorization
Body

Samples​